path: /build/build/plantuml-media-gfx-8046+4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - luet repo update && luet upgrade && luet cleanup && eselect java-vm set system
    openjdk-bin-17
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-source" emerge media-gfx/plantuml -pv -t && \
    USE="-source" emerge -j ${JOBS} --nodeps media-gfx/plantuml
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/plantuml && luet-portage --dir /pkgdir/plantuml
    media-gfx/plantuml && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c5ac5d54df3db55d3ba2f4958882695546004981c101041d8bbc786138a4240
  package:
    name: plantuml
    version: 8046+4
    category: media-gfx
    use_flags:
    - -source
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Draw UML diagrams using a simple and human readable text description
    uri:
    - http://plantuml.com
    license: GPL-3
    buildtimestamp: 2023-10-12 22:40:42.592875477 +0000 UTC m=+297.210629391
    labels:
      DEPEND: '>=virtual/jdk-1.7 >=dev-java/java-config-2.2.0-r3 source? ( app-arch/zip
        ) >=dev-java/ant-core-1.8.2:0 >=dev-java/javatoolkit-0.3.0-r2'
      IUSE: elibc_FreeBSD source elibc_FreeBSD
      RDEPEND: '>=virtual/jre-1.7 dev-java/ant-core:0 >=media-gfx/graphviz-2.26.3
        >=dev-java/java-config-2.2.0-r3 source? ( app-arch/zip )'
      emerge.packages: media-gfx/plantuml
      kit: geaaru-kit
      original.package.name: media-gfx/plantuml
      original.package.slot: "0"
      original.package.version: "8046"
    treedir: /build/packages
  package_dir: /pkgdir/plantuml
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3ac41c76e53a343edbb9ebf0f53d04b0339ba3fb6e052b8b2244fe8ce22a405e
compressiontype: zstd
files:
- usr/bin/plantuml
- usr/share/plantuml/lib/plantuml.jar
- usr/share/plantuml/package.env
- var/db/pkg/media-gfx/plantuml-8046/BUILD_TIME
- var/db/pkg/media-gfx/plantuml-8046/CATEGORY
- var/db/pkg/media-gfx/plantuml-8046/CBUILD
- var/db/pkg/media-gfx/plantuml-8046/CFLAGS
- var/db/pkg/media-gfx/plantuml-8046/CHOST
- var/db/pkg/media-gfx/plantuml-8046/CONTENTS
- var/db/pkg/media-gfx/plantuml-8046/COUNTER
- var/db/pkg/media-gfx/plantuml-8046/CXXFLAGS
- var/db/pkg/media-gfx/plantuml-8046/DEFINED_PHASES
- var/db/pkg/media-gfx/plantuml-8046/DEPEND
- var/db/pkg/media-gfx/plantuml-8046/DESCRIPTION
- var/db/pkg/media-gfx/plantuml-8046/EAPI
- var/db/pkg/media-gfx/plantuml-8046/FEATURES
- var/db/pkg/media-gfx/plantuml-8046/HOMEPAGE
- var/db/pkg/media-gfx/plantuml-8046/INHERITED
- var/db/pkg/media-gfx/plantuml-8046/IUSE
- var/db/pkg/media-gfx/plantuml-8046/IUSE_EFFECTIVE
- var/db/pkg/media-gfx/plantuml-8046/KEYWORDS
- var/db/pkg/media-gfx/plantuml-8046/LDFLAGS
- var/db/pkg/media-gfx/plantuml-8046/LICENSE
- var/db/pkg/media-gfx/plantuml-8046/PF
- var/db/pkg/media-gfx/plantuml-8046/RDEPEND
- var/db/pkg/media-gfx/plantuml-8046/SIZE
- var/db/pkg/media-gfx/plantuml-8046/SLOT
- var/db/pkg/media-gfx/plantuml-8046/USE
- var/db/pkg/media-gfx/plantuml-8046/environment.bz2
- var/db/pkg/media-gfx/plantuml-8046/plantuml-8046.ebuild
- var/db/pkg/media-gfx/plantuml-8046/repository
package_cacheimage: ""
runtime:
  name: plantuml
  version: 8046+4
  category: media-gfx
  use_flags:
  - -source
  requires:
  - name: ant-core
    version: '>=0'
    category: dev-java
  - name: graphviz
    version: '>=0'
    category: media-gfx
  - name: jre
    version: '>=0'
    category: virtual-20
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Draw UML diagrams using a simple and human readable text description
  uri:
  - http://plantuml.com
  license: GPL-3
  labels:
    DEPEND: '>=virtual/jdk-1.7 >=dev-java/java-config-2.2.0-r3 source? ( app-arch/zip
      ) >=dev-java/ant-core-1.8.2:0 >=dev-java/javatoolkit-0.3.0-r2'
    IUSE: elibc_FreeBSD source elibc_FreeBSD
    RDEPEND: '>=virtual/jre-1.7 dev-java/ant-core:0 >=media-gfx/graphviz-2.26.3 >=dev-java/java-config-2.2.0-r3
      source? ( app-arch/zip )'
    emerge.packages: media-gfx/plantuml
    kit: geaaru-kit
    original.package.name: media-gfx/plantuml
    original.package.slot: "0"
    original.package.version: "8046"
